#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.2.3
visibility:           public
id:                   ghcide-1.4.2.3-55TOpgEo8KHA0VHLH3NxMa
key:                  ghcide-1.4.2.3-55TOpgEo8KHA0VHLH3NxMa
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  ef86001011186c2dc876755b11b11363
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action
    Text.Fuzzy.Parallel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.2.3-55TOpgEo8KHA0VHLH3NxMa
depends:
    Diff-0.4.1-nBJKDluwWQdBlfGBrAAN Glob-0.10.2-HEu0Wlhubi5BKpDajfNwQo
    aeson-1.5.6.0-8RmaUxpnEyzFEsjlzg3EtT
    aeson-pretty-0.8.9-1lPUTpPqLZ41qjYFr9ocdO array-0.5.4.0
    async-2.2.4-1Z6i3HGJEDF4xJ1wAyEcWY base-4.15.1.0
    base16-bytestring-1.0.2.0-7LHCduJh1diT8mDRaEw4y binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-Jz0HdMfDfZmGvaxilHi4SQ
    case-insensitive-1.2.1.0-AqrB7AkGRPa9XAwN5I01IU containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-IPAnX0g8HSn8xg4nazUZkZ
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-DfBOl7ixc541K9glAM7mHZ
    dependent-sum-0.7.1.0-GcTb2dP132aCVidvaE3LtL directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    extra-1.7.10-GeuND3p2Z4GK767O0AhI9p filepath-1.4.2.1
    fingertree-0.1.5.0-Bl8vi3sCFBkFyg3XBTkgY8
    fuzzy-0.1.0.1-2Ew0tnwhTVSnhEb9TaRJI ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-IqtIvZU3VGQKgRCDipxd4U
    ghc-exactprint-0.6.4-7GlmaLT0sUlLfd3tlNvxxb
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-EgfGvZDQsio1kKxfXGF1SD
    hashable-1.4.0.2-3sSSioX5ao3EF66pX3bIBk
    heapsize-0.3.0.1-CY5iuFOY9QYLfEM16u3b5S
    hie-bios-0.8.0-4saNzC2Khqw1hl4eEVf0Dn
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-1r5W3Ed0sTv4sxVxtkpQga
    hls-graph-1.4.0.0-72qtdlHL8dm25xJ3cFrUid
    hls-plugin-api-1.2.0.1-KlVXKe96xwwEttDTRnM1NK
    hslogger-1.3.1.0-Je9UB3lc1epuXnSn2Dg4b
    implicit-hie-cradle-0.3.0.5-i8w94RPXOAIUWtNFhleH4
    lens-5.1.1-6689qBaM1v3EUCj5qzo9wI lsp-1.2.0.1-2whCUy6OMLGbb6iWxajZ6
    lsp-types-1.3.0.1-LhGxmi2VT7EBqxXVEJCJNY
    monoid-subclasses-1.1.3-C2d3jy7J6yWFn50K1XNGne mtl-2.2.2
    network-uri-2.6.4.1-55bBUndK0hwEthS4s7Tqol
    opentelemetry-0.7.0-Gl0oNEvRCXx4l8EjhArBQo
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-29sOZfg5wYu4GypXFtmU4F
    prettyprinter-ansi-terminal-1.1.3-KvdunZ7QMhUGgtx8jGmgkH
    regex-tdfa-1.3.1.5-3dxkyLXZppK94JiYLNxqW4
    retrie-1.1.0.0-3e2w5mllqBU7Vf64QljyU4
    rope-utf16-splay-0.3.2.0-HGaoYiWdrzIEf4Ysnd0En2
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-71GNjs5X1FbB8kVINeeefS
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-ILZrx6C5Y897n1hHcaurnB stm-2.5.0.0
    syb-0.7.2.1-IkMz167yA3iGKqNE2909yS text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-LgZJ18YSJH2LMm8s3j4m8Y
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-IGLlpGl08fHL3nm9W9Ceop
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-Ez332dT0qjy6X3Ga8WsjkB
    vector-algorithms-0.8.0.4-BYmmECYRLL163pj7CDlM8x

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

